Writing Styles

POST /public/v1/writing-styles/{id}/samples

Add a writing sample (pasted CONTENT or a WEBSITE URL) to a writing style.

POST /public/v1/writing-styles/{id}/samples

POST /public/v1/writing-styles/{id}/samples

curl --request POST \
  --url 'https://api.joinvalley.co/public/v1/writing-styles/{ID}/samples' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "sample": {
      "id": "<string>",
      "type": "<string>",
      "source": "<string>",
      "content": "<string>",
      "created_at": "<string>"
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • id string required

Request Body

application/json
  • type string enum required enum

    Allowed values: WEBSITE, CONTENT.

  • source string

    For WEBSITE: the URL. For CONTENT: an optional label.

  • content string

    For CONTENT: the pasted writing text.

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • sample object
      + Show Child Attributes
      • id string
      • type string
      • source string
      • content string
      • created_at string